## Process this file with automake to produce Makefile.in
##
## $Id$
##
## automake input for the MicroNeil SNFServer config files.
##
## Author:  Alban Deniz
##
## Copyright (C) 2008 ARM Research Labs, LLC.
## See www.armresearch.com for the copyright terms.
##
##

CONFDATA =					\
	SNFServer.xml.sample			\
	identity.xml.sample

if OpenBSD

if ForPackage
sampleconfdir = @datadir@/examples/@PACKAGE_NAME@
sampleconf_DATA = $(CONFDATA)
else
sampleconfdir = @sysconfdir@/@PACKAGE_NAME@
sampleconf_DATA = $(CONFDATA)
endif

else

sampleconfdir = @sysconfdir@/@PACKAGE_NAME@
sampleconf_DATA = $(CONFDATA)

endif

SNFServer.xml.sample:	SNFServer.xml.sample.in Makefile
	cat @top_srcdir@/config_files/SNFServer.xml.sample.in | sed -e s+SYSCONFDIR+@sysconfdir@+ -e s+PREFIX+@prefix@+ -e s+PACKAGE_NAME+@PACKAGE_NAME@+ > $@

identity.xml.sample:	identity.xml.sample.in
	cp @top_srcdir@/config_files/identity.xml.sample.in $@

pkgdata_DATA =                       		\
	GBUdbIgnoreList.txt.sample              \
	testmode.snf

EXTRA_DIST = 						\
	SNFServer.xml.sample.in				\
	identity.xml.sample.in				\
	GBUdbIgnoreList.txt.sample			\
	testmode.snf                                    \
	Makefile.am

clean-local:
	rm -f *.gcno *.gcov *.gcda *~ $(CONFDATA)
